Bug 237053 - selinux-policy-targeted: segfault on upgrade
selinux-policy-targeted: segfault on upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 23:16 EDT by Bernard Johnson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:14:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2007-04-18 23:16:07 EDT
Description of problem:
Got this message on a yum upgrade:

  Updating  : selinux-policy-targeted      ##################### [ 77/238] 
/sbin/fixfiles: line 62: 13126 Done                    sed -r -e 's,:s0, ,g' $FC
     13127                       | sort -u
     13128 Done(1)                 | /usr/bin/diff -b ${PREFCTEMPFILE} -
     13129                       | grep '^[<>]'
     13130                       | cut -c3-
     13131                       | grep ^/
     13132                       | egrep -v '(^/home|^/root|^/tmp|^/dev)'
     13133                       | sed -r -e 's,[[:blank:]].*,,g' -e
's|\(([/[:alnum:]]+)\)\?|{\1,}|g' -e 's|([/[:alnum:]])\?|{\1,}|g' -e
's|\?.*|*|g' -e 's|\(.*|*|g' -e 's|\[.*|*|g' -e 's|\.\*.*|*|g' -e 's|\.\+.*|*|g'
     13134                       | sort -u
     13135                       | sort -d
     13136                       | while read pattern; do
    if ! echo "$pattern" | grep -q -f ${TEMPFILE} 2> /dev/null; then
        echo "$pattern"; case "$pattern" in 
            *"*")
                echo "$pattern" | sed 's,\*$,,g' >> ${TEMPFILE}
            ;;
        esac;
    fi;
done
     13137 Done(1)                 | while read pattern; do
    find $pattern ! \( -fstype ext2 -o -fstype ext3 -o -fstype jfs -o -fstype
xfs \) -prune -o \( -wholename /home -o -wholename /root -o -wholename /tmp
-wholename /dev \) -prune -o -print;
done 2> /dev/null
     13138 Segmentation fault      | ${RESTORECON} $2 -v -f -
  Updating  : yelp                         ##################### [ 78/238]

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.5.12-5.fc7
Comment 1 Dennis Gilmore 2007-04-19 08:50:25 EDT
updating to selinux-policy-targeted-2.5.12-5.fc7 i got the same segfault

 
Comment 2 Daniel Walsh 2007-04-19 09:16:25 EDT
Fixed in policycoreutils-2.0.9-7.fc7
Comment 3 Daniel Walsh 2007-08-22 10:14:18 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.